<?

 /*SCRIPT PARA MANTENIMIENTO DE CONOCIMIENTOS O REPORTES */

 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/

  include("../fnc.php");

  enlinea_a();



switch($tipo_trn){



case "Add":

  if(!@checkdate($txtmes,$txtdia,$txtyear)){

    alert("ERROR: Por favor verifique la fecha del conocimiento","javascript:history.go(-1)");

  }

  if(!$txtalumno){

    alert("Debe ingresar el # de carnet del alumno","javascript:history.go(-1)");

  }else{

    $qver=mysql_query("select * from alumnos where carnet = '$txtalumno'");

    if(mysql_num_rows($qver)==0){

      alert("El número de carnet que ingreso es incorrecto","javascript:history.go(-1)");

    }

  }



  if(checkdate($txtmes,$txtdia,$txtyear)==false){

    alert("ERROR: La fecha que ingresó es inválida\\n$txtdia-$txtmes-$txtyear","javascript:history.go(-1)");

  }



  $sql="insert into conocimientos

        set alumno='$txtalumno',

        fecha='$txtyear-$txtmes-$txtdia',

        reporte='$txtreporte',

        detalle='$txtdescrip',

        reportado_por='$txtreportadopor',

        fecha_agregado='$fechahora',

        tipo='$txttipo',

        nivel='$txtnivel'";



  $ins=mysql_query($sql);

  $id_con=mysql_insert_id();



  if($ins){

    confirmacion("Reporte agregado con éxito.\\n\\nDesea imprimir el conocimiento ahora?","rpt_conocimientopdf.php?id_con=".$id_con,"frm_conocimiento.php");

  }else{

    alert("Error: ".mysql_error(),"javascript:history.go(-1)");

  }

 break;



case "Update":

  $idc=dec($idc);



  if(!$txtalumno){

    alert("Debe ingresar el # de carnet del alumno","javascript:history.go(-1)");

  }else{

    $qver=mysql_query("select * from alumnos where carnet = '$txtalumno'");

    if(mysql_num_rows($qver)==0){

      alert("El número de carnet que ingreso es incorrecto","javascript:history.go(-1)");

    }

  }



  if(checkdate($txtmes,$txtdia,$txtyear)==false){

    alert("La fecha que ingresó es inválida\\n$txtdia-$txtmes-$txtyear","javascript:history.go(-1)");

  }



  $sql="update conocimientos set

        fecha='$txtyear-$txtmes-$txtdia',

        reporte='$txtreporte',

        detalle='$txtdescrip',

        reportado_por='$txtreportadopor',

        fecha_agregado='$fechahora',

        tipo='$txttipo',

        nivel='$txtnivel'

        where id = '$idc'";



  $upd=mysql_query($sql);



  if($upd){

    alert("Reporte actualizado con éxito","frm_rpt_conocimientos.php");

  }else{

    alert("Error: ".mysql_error(),"javascript:history.go(-1)");

  }

 break;



 case "delete":

 $id_cn=dec($idc);

 $del=mysql_query("delete from conocimientos where id = $id_cn");

 break;

 default: alert("Parámetros incorrectos","frm_login.php");

}

?>
